#!/bin/bash

directory=$1  # 替换成你想操作的目录路径
max_counts=$2 # 备份最大保留个数

# 获取目录下的文件列表，并按照修改时间倒序排序
files=$(ls -t "$directory")

# 遍历文件列表
count=0
for file in $files; do
  if [ $count -ge $max_counts ]; then rm -rf "$directory/$file"; fi
  count=$((count+1))
done

echo "成功清理etcd备份目录，保留最近5个备份文件，备份目录为${directory}"